@import './_sass/syntax-highlighting.scss';
@import './_sass/bootstrap.scss';
@import './timelines.scss';

$scotch-primary: #7d188c;
$scotch-secondary: #994aa5;

%oswald { font-family: 'Oswald', sans-serif; font-weight: bold; text-transform: uppercase; }
%opensans { font-family: 'Open Sans', sans-serif; }

body {
    @extend %opensans;
    background: #fff url(/assets/grey.jpg) repeat 0 0;
    font-size: 18px;
    line-height: 30px;
    padding-top: 51px;
    -webkit-font-smoothing: antialiased;
    &.layout-homepage {
      padding-top: 0;
    }
}
p {
    margin-bottom: 30px;
}
section, header, footer, main, article, nav, aside {
  position: relative;
}

.navbar-inverse {
  background-color: rgba(34,34,34,0.9);
}

a {
    outline: none !important;
    text-decoration: none !important;
    transition: all 225ms ease;
    color: $scotch-secondary;
    .fa {
      color: #333;
    }
    &:hover { color: $scotch-primary; }
}
.btn {
    text-transform: uppercase;
    font-weight: 400;
    @extend %oswald;
}
h1, h2, h3, h4, h5, h6 { @extend %oswald; }
::selection {
    background: #086AFF;
    color: #fff;
}
nav.navbar {
    margin: 0;
    a {
        text-transform: uppercase;
        font-size: 16px;
        @extend %oswald;
    }

    .navbar-brand {
        text-transform: none;

        i {
            transition: inherit;
            color: $scotch-primary;
            transform: scale(1);
        }

        &:hover i {
            color: rgb(255, 111, 111);
            transform: scale(1.35);
        }
    }
}
.title-group {
    text-align: center;
    padding: 0 15px;
    margin: 20px 0 20px;

    p {
        max-width: 800px;
        margin: 25px auto 0;
    }
}
h1.special {
    position: relative;
    text-align: center;
    overflow: hidden;
    margin: 0;
    text-transform: uppercase;
    @extend %oswald;
    font-size: 69px;
    line-height: 69px;
    font-weight: 700;
    color: $scotch-primary;

    span {
        display: inline-block;
        position: relative;
        padding: 0 15px;
        max-width: 1000px;
        background: #fff;
    }

    &:before {
        content: '';
        position: absolute;
        display: block;
        height: 1px;
        background: #e8e8e8;
        width: 99999999px;
        left: 0;
        top: 50%;
        transform: translateY(-50%);
    }
}

.text-uppercase {
  text-transform: uppercase !important;
}

.tile {
    position: relative;
    box-shadow: 0 0.15em 0.35em 0 rgba(0, 0, 0, 0.135);
    margin-bottom: 125px;

    .inner-guts { padding: 50px; }

    h2 {
        margin: 0;
        font-size: 100px;
        font-weight: 400;
        letter-spacing: -0.05em;
        line-height: 100px;
    }

    .featurette {
        position: relative;
        display: block;
        overflow: hidden;
        margin-bottom: 15px;
        width: 100%;
        height: 550px;
        background-color: #e8e8e8;

        .img {
            background-size: cover;
            background-position: 50% 0;
            background-repeat: no-repeat;
            position: absolute;
            display: block;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            transition: all 225ms ease;
            transform: scale(1);

            &:before {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                display: block;
                content: '';
                background: #000;
                opacity: 0.4;
                transition: all 225ms ease;
            }
        }

        iframe {
            position: absolute;
            display: block;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
        }

        &:hover {
            .img {
                transform: scale(1.2);

                &:before {
                    opacity: 0.2;
                }
            }
        }
    }

    .excerpt {
        font-size: 35px;
        font-weight: 300;
        line-height: 49px;
        color: #484848;

        p {
            margin: 0;
        }
    }

    .tags {
        position: absolute;
        left: 0;
        top: 100%;
        margin-top: 15px;

        span {
            padding: 1px 5px;
            font-size: 12px;
            line-height: 1.5;
            text-transform: uppercase;
            @extend %oswald;
        }
    }

    .read-more {
        margin-top: 50px;
        width: 100%;
        max-width: 175px;
        position: relative;
        padding-right: 75px;

        i {
            position: absolute;
            right: 15px;
            top: 50%;
            transform: translateY(-54%);
            font-size: 31px;
            line-height: 100%;
        }
    }
}

aside {
    font-size: 17px;
    color: #525252;
    margin: 16px 0;
    @extend %oswald;

    span {
        text-transform: uppercase;
        margin: 0 5px 0 0;
    }
}

.site-footer {
    margin-top: 200px;
}

.pagination-wrap {
    text-align: center;
}

.topper {
    height: 500px;
    position: relative;

    .img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: block;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: 50%;
    }

    iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        display: block;
    }
}

pre {
    margin: 75px -100px;
}

.slideshow {
  position: relative;
  overflow: hidden;
  margin: 0 0 20px;
  > div {
    opacity: 0;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    transition: 200ms ease opacity;
    &:first-child {
      position: relative;
    }
    > img {
      width: 100%;
      display: block;
    }
    &.current {
      opacity: 1;
    }
  }
}

.img-responsive {
  width: 100%;
  display: block;
}

.img-max-responsive {
  width: auto;
  max-width: 100%;
}

.master-header__slides {
  height: 480px;
  overflow: hidden;
  top: 0;
  left: 0;
  position: relative;
  width: 100%;
  div {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    transition: 400ms ease opacity;
    will-change: opacity;
    &.current {
      animation: zoomIn 15s;
      animation-fill-mode: forwards;
      opacity: 1;
      visibility: visible;
    }
  }
}

.master-header__title {
  position: absolute;
  width: 100%;
  top: 50px;
  color: white;
  text-align: center;
  text-shadow: 1px 1px 1px rgba(0,0,0,0.8);
  height: 430px;
  display: flex;
  align-items: center;
  img {
    margin: 0 auto;
  }
}

.thumbnail {
  padding: 10px;
  h3 {
    margin-top: 10px;
  }
  .caption {
    padding: 0;
  }
  h3 {
    margin-top: 0;
  }
  p {
    margin: 0 0 10px;
    &:last-child {
      margin-bottom: 0;
    }
  }
  .btn img {
    height: 18px;
    float: left;
    margin-right: 6px;
    vertical-align: bottom;
  }
}

dl.extra-space {
  dd {
    margin-bottom: 15px;
  }
}

footer {
  background: #222;
  padding: 10px 0;
  color: #fff;
  font-size: 0.9em;
}

.flip-container {
	perspective: 1000;
  margin-bottom: 30px;
  cursor: pointer;
  &.flip-container--no-margin {
    margin-bottom: 10px;
  }
}

.flip-container, .front, .back {
	width: 100%;
	height: 100%;
}

.flipper {
	transition: 0.6s;
	transform-style: preserve-3d;
	position: relative;
}

.front, .back {
	backface-visibility: hidden;
	position: absolute;
	top: 0;
	left: 0;
}

.front {
  position: relative;
	z-index: 2;
	transform: rotateY(0deg);
  img {
    width: 100%;
    height: 100%;
  }
  div {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
    background: rgba(79,28,91,0.7);
    color: #fff;
    padding: 5px;
  }
}

.back {
	transform: rotateY(180deg);
  background: #eee;
  img {
    width: 100%;
    height: 100%;
    position: absolute;
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    filter: FlipH;
    -ms-filter: "FlipH";
  }
  .inner {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(79,28,91,0.7);
    color: #fff;
    padding: 10px;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    p {
      margin: 0;
    }
  }
}

.back--noflip {
  img {
    -moz-transform: scaleX(1);
    -o-transform: scaleX(1);
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
    filter: none;
    -ms-filter: "none";
  }
}

.checkbox label {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* Internet Explorer/Edge */
  user-select: none;
}

.tags {
  font-size: 14px;
  a {
    padding: 0 5px;
    display: inline-block;
  }
}
.form-group--no-margin {
  margin-bottom: 0;
  label {
    margin-bottom: 0;
  }
}
.xsmall {
  font-size: 75%;
}

.default-page {
  img {
    max-width: 100%;
  }
}

.social-icons {
  margin: 10px 0 0;
  padding: 0;
  list-style: none;
  text-align: center;
  li {
    display: inline-block;
    a {
      font-size: 60px;
      padding: 5px;
      .fa {
        color: #444;
        transition: 200ms ease color;
        will-change: color;
      }
      &:hover .fa {
        color: #333;
      }
    }
  }
}

.options {
  span {
    display: inline-block;
    border: 1px solid #eee;
    padding: 3px 12px;
    border-radius: 8px;
    text-align: center;
    min-width: 3em;
    margin-right: 5px;
    cursor: pointer;
    will-change: background-color;
    transition: 200ms ease background-color;
    &:hover, &.selected {
      background-color: #eee;
    }
  }
}

footer {
  .row {
    display: flex;
    > .col-md-4 {
      align-self: flex-end;
    }
  }
  .social-icons {
    text-align: right;
    margin: 0 0 5px;
    li a {
      font-size: 30px;
    }
    li a .fa {
      color: #9d9d9d;
    }
    li a:hover .fa {
      color: #fff;
    }
  }
}

.row--no-offset {
  margin-left: 0;
  margin-right: 0;
}

.margin-bottom {
  margin-bottom: 10px;
}

.jumbotron {
  padding-left: 15px;
  padding-right: 15px;
  p {
    margin-bottom: 0;
  }
}

.thumbnail h3.margin-top {
  margin-top: 10px;
}

@media only screen and (max-width : 991px) {
  pre {
    margin-left: 0;
    margin-right: 0;
  }
}

@media only screen and (max-width: 767px) {
  .flip-container.hover .flipper {
      transform: rotateY(180deg);
  }
  .jumbotron {
    p {
      font-size: 18px;
    }
  }
}

@media only screen and (min-width: 1200px) {
  .thumbnail h3.lg-no-margin {
    margin-top: 0;
  }
}

@media only screen and (min-width: 767px) {
  .flip-container:hover .flipper {
      transform: rotateY(180deg);
  }
}

@media only screen and (max-width : 480px) {
    .tile .featurette, .topper {
        height: 300px;
    }

    h1.special,
    .tile h2 {
        font-size: 40px;
        line-height: 44px;
    }

    .tile .inner-guts {
        padding: 15px 25px;
    }

    .tile .excerpt {
        font-size: 22px;
        line-height: 35px;
    }
}

@keyframes zoomIn {
    0% {
        transform: scale(1)
    }

    100% {
        transform: scale(1.05)
    }
}
